Public bug reported:

-- Problem Description --
with kernel 4.8.0-11-generic We can not do pci passthru. 
virsh start --console ltc-fire1-vm1-ubuntu-16.10
error: Failed to start domain ltc-fire1-vm1-ubuntu-16.10
error: unsupported configuration: host doesn't support VFIO PCI passthrough

dpkg --list | grep 4.8.0-11
ii linux-headers-4.8.0-11 4.8.0-11.12 all Header files related to Linux kernel 
version 4.8.0
ii linux-headers-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel headers for 
version 4.8.0 on PowerPC 64el SMP
ii linux-image-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel image for 
version 4.8.0 on PowerPC 64el SMP
ii linux-image-extra-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel extra 
modules for version 4.8.0 on PowerPC 64el SMP
ii linux-tools-4.8.0-11 4.8.0-11.12 ppc64el Linux kernel version specific tools 
for version 4.8.0-11
ii linux-tools-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel version 
specific tools for version 4.8.0-11

but it looks like VFIO is not enabled so I can not do any pci passthru not even 
any card. 
root@ltc-fire1:/boot# grep VFIO config-4.8.0-11-generic

root@ltc-fire1:/boot# grep VFIO config-4.6.0-9-generic
# CONFIG_VFIO_IOMMU_TYPE1 is not set
CONFIG_VFIO_IOMMU_SPAPR_TCE=m
CONFIG_VFIO_SPAPR_EEH=m
CONFIG_VFIO_VIRQFD=m
CONFIG_VFIO=m
CONFIG_VFIO_NOIOMMU=y
CONFIG_VFIO_PCI=m
CONFIG_VFIO_PCI_MMAP=y
CONFIG_VFIO_PCI_INTX=y


---uname output---
Linux ltc-fire1 4.8.0-11-generic #12-Ubuntu SMP Sat Sep 17 19:58:16 UTC 2016 
ppc64le ppc64le ppc64le GNU/Linux
 
Machine Type = P8 
 
---Steps to Reproduce---
 Just try to do pci passthru to a device
virsh start --console ltc-fire1-vm1-ubuntu-16.10
 
On Tue, Sep 20, 2016 at 7:13 AM, Thierry fa...@linux.vnet.ibm.com 
<thie...@linux.vnet.ibm.com> wrote:

    Hello Lean,

    We get a question from our IO testing group regarding kernel 4.8
config file.

    Currently we have the following VFIO variables not set in the kernel
so we can not do any pci passthru not even any card testing


    root@ltc-fire1:/boot# grep VFIO config-4.8.0-11-generic

    when we expected

    root@ltc-fire1:/boot# grep VFIO config-4.6.0-9-generic
    # CONFIG_VFIO_IOMMU_TYPE1 is not set
    CONFIG_VFIO_IOMMU_SPAPR_TCE=m
    CONFIG_VFIO_SPAPR_EEH=m
    CONFIG_VFIO_VIRQFD=m
    CONFIG_VFIO=m
    CONFIG_VFIO_NOIOMMU=y
    CONFIG_VFIO_PCI=m
    CONFIG_VFIO_PCI_MMAP=y
    CONFIG_VFIO_PCI_INTX=y

    Do you expect them to change it for the 16.10 relase ?


This is indeed an error if these were inadvertently disabled from the previous 
release.  I'll have my team take a look and see about making sure these are 
re-enabled before the final 16.10 release.

Thanks,
Leann

This appears to be something broken in upstream. The only dependency for
CONFIG_VFIO is CONFIG_IOMMU_API. The Ubuntu config has
CONFIG_IOMMU_API=y for all arches, yet I cannot get powerpc/ppc64el to
even present the VFIO option.

Still digging...

rtg
-- 
Tim Gardner tim.gard...@canonical.com

Alright, I figured it out. VFIO will be enabled for ppc64el in linux
Ubuntu-4.8.0-13.14

rtg
-- 
Tim Gardner tim.gard...@canonical.com

** Affects: linux (Ubuntu)
     Importance: Undecided
     Assignee: Taco Screen team (taco-screen-team)
         Status: New


** Tags: architecture-ppc64le bugnameltc-146533 severity-critical 
targetmilestone-inin1610

** Tags added: architecture-ppc64le bugnameltc-146533 severity-critical
targetmilestone-inin1610

** Changed in: ubuntu
     Assignee: (unassigned) => Taco Screen team (taco-screen-team)

** Package changed: ubuntu => linux (Ubuntu)

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1625781

Title:
  Ubuntu 16.10 KVM: Can not do pci passthru with kernel 4.8.0-11

Status in linux package in Ubuntu:
  New

Bug description:
  -- Problem Description --
  with kernel 4.8.0-11-generic We can not do pci passthru. 
  virsh start --console ltc-fire1-vm1-ubuntu-16.10
  error: Failed to start domain ltc-fire1-vm1-ubuntu-16.10
  error: unsupported configuration: host doesn't support VFIO PCI passthrough

  dpkg --list | grep 4.8.0-11
  ii linux-headers-4.8.0-11 4.8.0-11.12 all Header files related to Linux 
kernel version 4.8.0
  ii linux-headers-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel headers 
for version 4.8.0 on PowerPC 64el SMP
  ii linux-image-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel image for 
version 4.8.0 on PowerPC 64el SMP
  ii linux-image-extra-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel extra 
modules for version 4.8.0 on PowerPC 64el SMP
  ii linux-tools-4.8.0-11 4.8.0-11.12 ppc64el Linux kernel version specific 
tools for version 4.8.0-11
  ii linux-tools-4.8.0-11-generic 4.8.0-11.12 ppc64el Linux kernel version 
specific tools for version 4.8.0-11

  but it looks like VFIO is not enabled so I can not do any pci passthru not 
even any card. 
  root@ltc-fire1:/boot# grep VFIO config-4.8.0-11-generic

  root@ltc-fire1:/boot# grep VFIO config-4.6.0-9-generic
  # CONFIG_VFIO_IOMMU_TYPE1 is not set
  CONFIG_VFIO_IOMMU_SPAPR_TCE=m
  CONFIG_VFIO_SPAPR_EEH=m
  CONFIG_VFIO_VIRQFD=m
  CONFIG_VFIO=m
  CONFIG_VFIO_NOIOMMU=y
  CONFIG_VFIO_PCI=m
  CONFIG_VFIO_PCI_MMAP=y
  CONFIG_VFIO_PCI_INTX=y

  
  ---uname output---
  Linux ltc-fire1 4.8.0-11-generic #12-Ubuntu SMP Sat Sep 17 19:58:16 UTC 2016 
ppc64le ppc64le ppc64le GNU/Linux
   
  Machine Type = P8 
   
  ---Steps to Reproduce---
   Just try to do pci passthru to a device
  virsh start --console ltc-fire1-vm1-ubuntu-16.10
   
  On Tue, Sep 20, 2016 at 7:13 AM, Thierry fa...@linux.vnet.ibm.com 
<thie...@linux.vnet.ibm.com> wrote:

      Hello Lean,

      We get a question from our IO testing group regarding kernel 4.8
  config file.

      Currently we have the following VFIO variables not set in the
  kernel so we can not do any pci passthru not even any card testing

  
      root@ltc-fire1:/boot# grep VFIO config-4.8.0-11-generic

      when we expected

      root@ltc-fire1:/boot# grep VFIO config-4.6.0-9-generic
      # CONFIG_VFIO_IOMMU_TYPE1 is not set
      CONFIG_VFIO_IOMMU_SPAPR_TCE=m
      CONFIG_VFIO_SPAPR_EEH=m
      CONFIG_VFIO_VIRQFD=m
      CONFIG_VFIO=m
      CONFIG_VFIO_NOIOMMU=y
      CONFIG_VFIO_PCI=m
      CONFIG_VFIO_PCI_MMAP=y
      CONFIG_VFIO_PCI_INTX=y

      Do you expect them to change it for the 16.10 relase ?

  
  This is indeed an error if these were inadvertently disabled from the 
previous release.  I'll have my team take a look and see about making sure 
these are re-enabled before the final 16.10 release.

  Thanks,
  Leann

  This appears to be something broken in upstream. The only dependency for
  CONFIG_VFIO is CONFIG_IOMMU_API. The Ubuntu config has
  CONFIG_IOMMU_API=y for all arches, yet I cannot get powerpc/ppc64el to
  even present the VFIO option.

  Still digging...

  rtg
  -- 
  Tim Gardner tim.gard...@canonical.com

  Alright, I figured it out. VFIO will be enabled for ppc64el in linux
  Ubuntu-4.8.0-13.14

  rtg
  -- 
  Tim Gardner tim.gard...@canonical.com

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1625781/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to     : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to